import dsl

# Tips: in python run
#
# import gensim.downloader
# model = gensim.downloader.load("glove-wiki-gigaword-50")
#
# Then find words related to what you want in model[] and do math on them.
# Then search through model to find nearby vectors.

dictionary:
    glyphs:
        vowel "i", outer
        vowel "e", outer, slashed
        vowel "a", slashed
        vowel "o", inner, slashed
        vowel "u", inner
        vowel "y", both

        cluster "θ", left, top
        cluster "∫", left, middle
        cluster "x", left, bottom
        cluster "n", center, middle
        cluster "p", right, top
        cluster "t", right, middle
        cluster "k", right, bottom
        cluster "θl", left, top, tall
        cluster "∫l", left, middle, tall
        cluster "xl", left, bottom, tall
        cluster "nl", center, middle, tall
        cluster "pl", right, top, tall
        cluster "tl", right, middle, tall
        cluster "kl", right, bottom, tall
        cluster "θr", left, top, wide
        cluster "∫r", left, middle, wide
        cluster "xr", left, bottom, wide
        cluster "nr", center, middle, wide
        cluster "pr", right, top, wide
        cluster "tr", right, middle, wide
        cluster "kr", right, bottom, wide
        cluster "sθ", left, top, both
        cluster "s∫", left, middle, both
        cluster "sx", left, bottom, both
        cluster "sn", center, middle, both
        cluster "sp", right, top, both
        cluster "st", right, middle, both
        cluster "sk", right, bottom, both

        syllables()

        punctuation "«", left
        punctuation "."
        punctuation "»", right

        numeric "0", circle
        numeric "1", dash
        numeric "2", vee
        numeric "3", hump
        numeric "4", dash, hump
        numeric "5", vee, hump
        numeric ".", dot

    dialect "jukashenikan":
        replace "x", "ç"
        replace "p", "j"
        # ...

    dialect "gazhenigan":
        replace "k", "g"
        replace "∫", "ʒ"
        replace "s", "z"
        replace "θ", "ð"
        replace "t", "d"
        # ...

    words:
        word "t":
            noun "thing", "See t - dmPenta for better meaning."
            # verb "be"

        penta "n x", "Pronouns":
            extremes i="Fully proximal", u="Fully distal"

            i: pronoun "I/me"
            e: pronoun "this"
            a: pronoun "you"
            o: pronoun "it"
            u: pronoun "that"


when isMainModule:
    echo dict.toJSON
